#include <bits/stdc++.h>
using namespace std;
int ucln(int a,int b)
{
	if (a == 0 || b == 0){
        return a + b;
    }
    while (a != b){
        if (a > b)
		{
            a= a-b;
        }
		else
		{
            b=b-a;
        }
    }
    return a;
}
int bcnn(int x,int y)
{
	int i = 1;
	while ( (x*i)% y != 0)
	{
		i++;
	}
	return x*i;
}
int main()
{
	ifstream f1 ("ucbc.inp");
	ofstream f2 ("ucbc.out");
	int n;
	f1>>n;
	int a[n];
	for(int i=0;i<n;i++)
	{
		f1>>a[i];
	}
	int uc=a[0];
	for(int i=0;i<n;i++)
	{
		uc= ucln(uc,a[i]);
	}
	int bc=a[0];
	for(int i=0;i<n;i++)
	{
		bc=bcnn(bc,a[i]);
	}
	f2<<uc<<endl<<bc;
}
